function init()
	-- NAME & GRAPHIC --
	c.name = "Barge"
	c.gfxFile = "barge.png"
	c.hitScale = 1.4

	-- STATS --
	c.mass = 100
	c.stat.thrust = 1
	c.stat.maxSpeed = 200
	c.stat.turnRate = 80
	c.stat.armour = 70
	c.stat.barrier = 4

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.desc = "A cab for a barge, or something. Why are you asking me these questions?"
	c.behavior = "circleandshoot"
	--c.add_item("point", 16)
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 1	--from map_icons.png, which frame to use.
	return 0
end
